.TH Pause 2 "MiNT Programmer's Manual" "Version 1.0" "Feb. 1, 1993"
.SH NAME
Pause \- suspend process until a signal is received
.SH SYNOPSIS
.nf
void Pause();
.fi
.SH DESCRIPTION
.I Pause
causes the calling process to go to sleep until a signal that is not being
ignored or masked is received. If a signal handler has been established for
that signal with the
.I Psignal
system call, then the handler is invoked before
.I Pause
returns; if the handler does a longjmp to a different point in the
program, if it exits the program, or if the signal handler was set
to SIG_DFL and the default action for the signal is to terminate the
process, then
.I Pause
will never return.
.SH "SEE ALSO"
.IR Psigblock (2),
.IR Psignal (2),
.IR Psigpause (2),
.IR Psigsetmask (2)

.SH BUGS
This call has been superseded by
.I Psigpause
(q.v.)

